Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Class Discrete2dImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.space.Discrete2dImpl

public class Discrete2dImpl
extends BaseImpl
implements SwarmObject, SwarmObjectS, GridData, GridDataS, Discrete2dS, Discrete2d

Root class of all 2d discrete spaces.. A Discrete2d is basically a 2d array of ids. Subclasses add particular space semantics onto this. Currently Discrete2d grids are accessed by integer pairs of X and Y coordinates.

Constructor Summary
`Discrete2dImpl()`
`Discrete2dImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`Discrete2dImpl(Zone aZone, int x, int y)` Convenience constructor for Discrete2d lattice

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.space.GridData
`getObjectAtX$Y, getSizeX, getSizeY, getValueAtX$Y`

Methods implemented by this class for interface swarm.space.Discrete2dS
`setObjectFlag`

Methods implemented by this class for interface swarm.space.Discrete2d
`copyDiscrete2d$toDiscrete2d, fastFillWithObject, fastFillWithValue, fillWithObject, fillWithValue, putObject$atX$Y, putValue$atX$Y, setDiscrete2d$toFile`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Discrete2dImpl

    public Discrete2dImpl()

### Discrete2dImpl

    public Discrete2dImpl(Zone aZone,
                          int x,
                          int y)

  Convenience constructor for Discrete2d lattice

### Discrete2dImpl

    public Discrete2dImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD